## visad.bom
Class RadarFile

    java.lang.Object
      visad.bom.RadarFile

public class RadarFile
extends Object

RadarFile

Nested Class Summary
`class` `RadarFile.PolarByteData`

Field Summary
`(package private) static char[]` `A2NXlat`
`float` `azimuthres`
`byte[]` `bdata`
`(package private) static char` `decimal`
`double` `dRadarTime`
`DateTime` `dtTime`
`float` `elev`
`(package private) static int` `maxSize`
`RadarFile.PolarByteData` `pbdata`
`RadarFile.PolarByteData[]` `pbdataArray`
`Vector` `pbvector`
`(package private) static char` `percent`
`byte[][]` `radial`
`float` `rngres`
`float` `startrng`

Constructor Summary
`RadarFile(String radarSource)`

Method Summary
`DateTime` `getRadarTime()` Retrieves the time of the radar image as a VisAD DateTime.
`double` `getTime()` Retrieves the time of the radar image as a double.
`void` `readHeader(char[] cbuff)`
`void` `readRadial()`
`void` `setRadarTime(String timeStamp)`
`void` `setTime(String radarTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dtTime

    public DateTime dtTime

### dRadarTime

    public double dRadarTime

### rngres

    public float rngres

### startrng

    public float startrng

### azimuthres

    public float azimuthres

### elev

    public float elev

### radial

    public byte[][] radial

### decimal

    static final char decimal

See Also:
  Constant Field Values

### percent

    static final char percent

See Also:
  Constant Field Values

### A2NXlat

    static final char[] A2NXlat

### maxSize

    static final int maxSize

See Also:
  Constant Field Values

### bdata

    public byte[] bdata

### pbvector

    public Vector pbvector

### pbdata

    public RadarFile.PolarByteData pbdata

### pbdataArray

    public RadarFile.PolarByteData[] pbdataArray

Constructor Detail

### RadarFile

    public RadarFile(String radarSource)
              throws IOException

Method Detail

### getTime

    public double getTime()

  Retrieves the time of the radar image as a double.

### setTime

    public void setTime(String radarTime)

### getRadarTime

    public DateTime getRadarTime()

  Retrieves the time of the radar image as a VisAD DateTime.

### setRadarTime

    public void setRadarTime(String timeStamp)
                      throws VisADException

  Throws:
    `VisADException`

### readHeader

    public void readHeader(char[] cbuff)

### readRadial

    public void readRadial()
                    throws IOException

  Throws:
    `IOException`